Skip to main content
PUT
/
api
/
v1
/
recurringtransfers
/
{id}
Tekrarlayan transferi güncelle
curl --request PUT \
  --url https://transfer-sandbox.payven.com.tr/api/v1/recurringtransfers/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "plan_name": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "amount": 123,
  "description": "<string>",
  "start_date": "2023-11-07T05:31:56Z",
  "end_date": "2023-11-07T05:31:56Z",
  "repeat_count": 123,
  "is_indefinite": true,
  "month_day": 123,
  "week_days": [
    123
  ],
  "reminder_days": 123,
  "notify_on_success": true,
  "notify_on_error": true
}
'
{
  "message": "<string>",
  "is_success": true,
  "code": "<string>",
  "data": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Path Parameters

id
string<uuid>
required

Body

application/json
plan_name
string | null
required
id
string<uuid>
status
enum<string>
Available options:
Active,
Paused,
Completed,
Cancelled
amount
integer<int64>
description
string | null
repeat_type
enum<string>
Available options:
Daily,
Weekly,
Monthly,
Yearly
start_date
string<date-time>
end_type
enum<string>
Available options:
Indefinite,
Count,
Date
end_date
string<date-time> | null
repeat_count
integer<int32> | null
is_indefinite
boolean
month_day
integer<int32> | null
week_days
integer<int32>[] | null
holiday_handling
enum<string>
Available options:
Next,
Previous,
Skip
reminder_days
integer<int32>
notify_on_success
boolean
notify_on_error
boolean

Response

OK

message
string | null
is_success
boolean
code
string | null
data
string<uuid>